uniform sampler2D uTexInput;

uniform vec2 uTexelSize; // x = 1/res x, y = 1/res y

noperspective  in vec2 uv; // input from vertex shader

out vec4 frag_color;

void main() {
   float result = 0.0;
   for (int i = 0; i < 4; ++i) {
      for (int j = 0; j < 4; ++j) {
         vec2 offset = vec2(uTexelSize.x * float(j), uTexelSize.y * float(i));
         result += texture(uTexInput, uv + offset).r;
      }
   }
 
   float oResult = result / 16.0;
   frag_color = vec4(oResult,oResult,oResult,1.0);
}
